#!/bin/bash
# Script Name:  weekly-update.v2.sh
# Beschreibung: Updatet Linux Systeme
# Aufruf:       bash ./weekly-update.v2.sh
# Autor:        Patrick Asmus
# Web:          https://www.media-techport.de
# Git-Reposit.: -
# Version:      2.0.3
# Datum:        15.07.2023
# Modifikation: Header angepasst, Tagesprüfung rausgenommen
#####################################################

# Logverzeichnis erstellen
mkdir -p /var/log/script-logs

# Variablen
HOSTNAME=$(hostname)
MAIL=root

# Aktualisiere das System und speichere die Ausgabe in eine Log-Datei
sudo apt update && sudo apt upgrade -y &> /var/log/script-logs/weekly-update.v2.log

    # Überpruefe, ob das Update erfolgreich war
    if [ $? -ne 0 ]; then
        # Sende eine E-Mail, wenn das Update fehlgeschlagen ist
        log_contents=$(cat /var/log/internal-scripts/weekly-update.2.0.log)
        echo -e "Das Update auf $HOSTNAME ist fehlgeschlagen! \n\nLog-Inhalt: \n\n$log_contents" | mail -s "Woechentliches Update auf $hostname fehlgeschlagen" $MAIL
    else
        # Raeume das System auf
        sudo apt-get autoremove --purge -y
        sudo apt-get clean -y
    fi
fi
exit 0
